org.eclipse.microprofile.rest.client.ext

## Enum QueryParamStyle

- java.lang.Object
- - java.lang.Enum<QueryParamStyle>
  - - org.eclipse.microprofile.rest.client.ext.QueryParamStyle

All Implemented Interfaces:
  Serializable, Comparable<QueryParamStyle>

    public enum QueryParamStyle
    extends Enum<QueryParamStyle>

A QueryParamStyle enum is used to specify how multiple values are handled when constructing the query portion of the URI. For example, a client interface may take a collection of strings as it's query parameter. This enum determines the style:

     public interface MultiParamClient {
         void sendMultipleQueryParams(@QueryParam("foo") List<String> strings);
     }

The style selected when building this client instance will determine the format of the query portion of the URI.

Since:
  2.0

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ARRAY_PAIRS` Multiple parameter instances with square brackets for each parameter, e.g.: `foo[]=v1&foo[]=v2&foo[]=v3`
`COMMA_SEPARATED` A single parameter instance with multiple, comma-separated values, e.g.: `foo=v1,v2,v3`
`MULTI_PAIRS` Multiple parameter instances, e.g.: `foo=v1&foot=v2&foo=v3` This is the default if no style is configured.

### Method Summary

All Methods Static Methods Concrete Methods
`static QueryParamStyle` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryParamStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MULTI_PAIRS

    public static final QueryParamStyle MULTI_PAIRS

Multiple parameter instances, e.g.: `foo=v1&foot=v2&foo=v3` This is the default if no style is configured.

#### COMMA_SEPARATED

    public static final QueryParamStyle COMMA_SEPARATED

A single parameter instance with multiple, comma-separated values, e.g.: `foo=v1,v2,v3`

#### ARRAY_PAIRS

    public static final QueryParamStyle ARRAY_PAIRS

Multiple parameter instances with square brackets for each parameter, e.g.: `foo[]=v1&foo[]=v2&foo[]=v3`

### Method Detail

#### values

    public static QueryParamStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (QueryParamStyle c : QueryParamStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static QueryParamStyle valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null